#!/bin/csh

make clean

echo
echo "The values of f_0(p,c)"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach t ("2 2 3" "2 3 3" "2 4 4" "2 5 5" "2 6 6" \
             "3 2 3" "3 3 4" "3 4 4" "3 5 5" "3 6 6" \
             "4 2 4" "4 3 4" "4 4 5" "4 5 5" "4 6 6" \
             "5 2 4" "5 3 4" "5 4 5" \
             "6 2 5" "6 3 5")
    set tt=(${t})
    set p=${tt[1]}
    set c=${tt[2]}
    set q1=${tt[3]}
    @ q2 = ${q1} - 1
    make f=0 b=0 p=${p} c=${c} q=${q1}
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
    make f=0 b=0 p=${p} c=${c} q=${q2}
    ./mm
    if ($? != 0) then
      echo ERROR
      exit
    endif
  end
endif

echo
echo "The values of b_0(p,c)"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach t ("2 2 3" "2 3 4" "2 4 5" "2 5 6" "2 6 7" \
             "3 2 4" "3 3 5" "3 4 6" "3 5 7" "3 6 8" \
             "4 2 5" "4 3 9" "4 4 10" \
             "5 2 6" "5 3 9" \
             "6 2 7")
    set tt=(${t})
    set p=${tt[1]}
    set c=${tt[2]}
    set q1=${tt[3]}
    @ q2 = ${q1} - 1
    make f=0 b=1 p=${p} c=${c} q=${q1}
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
    make f=0 b=1 p=${p} c=${c} q=${q2}
    ./mm
    if ($? != 0) then
      echo ERROR
      exit
    endif
  end
endif

echo
echo "The values of b_0(p,c) for p=2,3 and any c"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach t ("2  2  3" "2  3  4" "2  4  5" "2  5  6" "2  6  7" "2  7  8" "2  8  9" "2  9 10" "2 10 11" \
   "2 11 12" "2 12 13" "2 13 14" "2 14 15" "2 15 16" "2 16 17" "2 17 18" "2 18 19" "2 19 20" "2 20 21" \
   "2 21 22" "2 22 23" "2 23 24" "2 24 25" "2 25 26" "2 26 27" "2 27 28" \
             "3  2  4" "3  3  5" "3  4  6" "3  5  7" "3  6  8" "3  7  9" "3  8 10" "3  9 11" "3 10 12" \
   "3 11 13" "3 12 14" "3 13 15" "3 14 16" "3 15 17" "3 16 18" "3 17 19" "3 18 20" "3 19 21" "3 20 22" \
   "3 21 23" "3 22 24" "3 23 25" "3 24 26" "3 25 27" "3 26 28")
    set tt=(${t})
    set p=${tt[1]}
    set c=${tt[2]}
    set q=${tt[3]}
    make f=0 b=1 p=${p} c=${c} q=${q}
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
  end
endif

make clean
